## xfsdump-1.1.3.src.tar.gz

=== common/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = arch_xlate.c arch_xlate.h attr.c attr.h \
	cldmgr.c cldmgr.h cleanup.c cleanup.h content.h \
	content_common.c content_common.h content_inode.h dlog.c dlog.h \
	drive.c drive.h drive_minrmt.c drive_scsitape.c drive_simple.c \
	exit.h fs.c fs.h getdents.c getdents.h global.c global.h \
	inventory.c inventory.h inventory_priv.c inventory_priv.h \
	lock.c lock.h main.c media.c media.h media_rmvtape.h mlog.c mlog.h \
	namreg.c namreg.h openutil.c openutil.h path.c path.h qlock.c qlock.h \
	rec_hdr.h ring.c ring.h sproc.c sproc.h stkchk.c stkchk.h stream.c \
	stream.h types.h util.c util.h

default install install-dev :

include $(BUILDRULES)

=== doc/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

README = README.xfsdump
LSRCFILES = INSTALL PORTING CHANGES COPYING $(README)
LDIRT = *.gz

default: CHANGES.gz

include $(BUILDRULES)

CHANGES.gz:
	$(ZIP) --best -c < CHANGES > $@

install: default
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 PORTING CHANGES.gz $(README) $(PKG_DOC_DIR)
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -S CHANGES.gz $(PKG_DOC_DIR)/changelog.gz
else
	$(INSTALL) -m 644 COPYING $(PKG_DOC_DIR)
endif

install-dev:

=== dump/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
#
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
#
# http://www.sgi.com
#
# For further information regarding this notice, see:
#
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

COMMINCL = \
	arch_xlate.h \
	cldmgr.h \
	content.h \
	content_common.h \
	content_inode.h \
	dlog.h \
	drive.h \
	exit.h \
	fs.h \
        getdents.h \
	global.h \
	lock.h \
	media.h \
	mlog.h \
	openutil.h \
	path.h \
	qlock.h \
	ring.h \
	stkchk.h \
	stream.h \
	types.h \
	util.h \
	sproc.h \
	attr.h \
	rec_hdr.h

INVINCL = \
	inventory.h \
	inv_priv.h

INVCOMMON = \
	inv_api.c \
	inv_core.c \
	inv_fstab.c \
	inv_idx.c \
	inv_mgr.c \
	inv_stobj.c

COMMON = \
	arch_xlate.c \
	cldmgr.c \
	content_common.c \
	dlog.c \
	drive.c \
	drive_scsitape.c \
	drive_simple.c \
	drive_minrmt.c \
	fs.c \
	getdents.c \
	global.c \
	lock.c \
	main.c \
	mlog.c \
	openutil.c \
	qlock.c \
	path.c \
	ring.c \
	stkchk.c \
	stream.c \
	util.c \
	sproc.c \
	attr.c

LOCALS = \
	content.c \
	hsmapi.c \
	inomap.c \
	var.c

LOCALINCL = \
	getopt.h \
	hsmapi.h \
	inomap.h \
	var.h

LTCOMMAND = xfsdump

CFILES = $(COMMON) $(INVCOMMON) $(LOCALS)
HFILES = $(LOCALINCL)
LINKS  = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
LDIRT = $(LINKS)
LLDLIBS = $(LIBUUID) $(LIBHANDLE) $(LIBATTR) $(LIBDM) $(LIBRMT)
LTDEPENDENCIES = $(LIBRMT)

LCFLAGS = -DDUMP -DRMT -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST \
	-DPIPEINVFIX -DEXTATTR -DDMEXTATTR

default: $(LINKS) $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(INSTALL) -S $(PKG_SBIN_DIR)/$(LTCOMMAND) $(PKG_BIN_DIR)/$(LTCOMMAND)
install-dev:

$(COMMINCL) $(COMMON):
	@$(RM) $@; $(LN_S) ../common/$@ $@

$(INVINCL) $(INVCOMMON):
	@$(RM) $@; $(LN_S) ../inventory/$@ $@

=== include/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = builddefs.in buildrules

default install install-dev :

include $(BUILDRULES)

=== inventory/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = inv_api.c inv_core.c inv_fstab.c inv_idx.c inv_mgr.c \
	inv_oref.c inv_oref.h inv_priv.h inv_stobj.c inventory.h

default install install-dev:

include $(BUILDRULES)

=== invutil/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

COMMINCL = \
	global.h \
	mlog.h \
	util.h \
	types.h

INVINCL = \
	inventory.h \
	inv_priv.h

INVCOMMON = 

COMMON = 

LOCALS = invutil.c 


LTCOMMAND = xfsinvutil
CFILES = $(COMMON) $(INVCOMMON) $(LOCALS)
LINKS  = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
LDIRT = $(LINKS)
LLDLIBS = $(LIBUUID) 

#LCFLAGS = -DDUMP -DRMT -DEXTATTR -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX
LCFLAGS = -DDUMP -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX
#LCFLAGS = -DINV_DEBUG -DDUMP -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX


default: $(LINKS) $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev:

$(COMMINCL) $(COMMON):
	@$(RM) $@; $(LN_S) ../common/$@ $@

$(INVINCL) $(INVCOMMON):
	@$(RM) $@; $(LN_S) ../inventory/$@ $@

=== restore/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
#
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
#
# http://www.sgi.com
#
# For further information regarding this notice, see:
#
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

COMMINCL = \
	arch_xlate.h \
	attr.h \
	cldmgr.h \
	content.h \
	content_inode.h \
	dlog.h \
	drive.h \
	exit.h \
	fs.h \
        getdents.h \
	global.h \
	lock.h \
	media.h \
	mlog.h \
	openutil.h \
	path.h \
	qlock.h \
	rec_hdr.h \
	ring.h \
	sproc.h \
	stkchk.h \
	stream.h \
	types.h \
	util.h

INVINCL = \
	inventory.h \
	inv_priv.h

INVCOMMON = \
	inv_api.c \
	inv_core.c \
	inv_fstab.c \
	inv_idx.c \
	inv_mgr.c \
	inv_stobj.c

COMMON = \
	arch_xlate.c \
	attr.c \
	cldmgr.c \
	dlog.c \
	drive.c \
	drive_scsitape.c \
	drive_simple.c \
	drive_minrmt.c \
	fs.c \
        getdents.c \
	global.c \
	lock.c \
	main.c \
	mlog.c \
	openutil.c \
	path.c \
	qlock.c \
	ring.c \
	sproc.c \
	stkchk.c \
	stream.c \
	util.c

LOCALS = \
	bag.c \
	content.c \
	dirattr.c \
	inomap.c \
	mmap.c \
	namreg.c \
	node.c \
	tree.c \
	win.c

LOCALINCL = \
	bag.h \
	dirattr.h \
	getopt.h \
	inomap.h \
	mmap.h \
	namreg.h \
	node.h \
	tree.h \
	win.h

LTCOMMAND = xfsrestore

CFILES = $(COMMON) $(INVCOMMON) $(LOCALS)
HFILES = $(LOCALINCL)
LINKS  = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
LDIRT = $(LINKS)
LLDLIBS = $(LIBUUID) $(LIBHANDLE) $(LIBATTR) $(LIBRMT)
LTDEPENDENCIES = $(LIBRMT)

LCFLAGS = -DRESTORE -DRMT -DBASED -DDOSOCKS -DINVCONVFIX -DPIPEINVFIX \
	-DEOMFIX -DSESSCPLT -DWHITEPARSE -DNODECHK -DDIRENTHDR_CHECKSUM \
	-DEXTATTR -DDMEXTATTR -DF_FSSETDM

default: $(LINKS) $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(INSTALL) -S $(PKG_SBIN_DIR)/$(LTCOMMAND) $(PKG_BIN_DIR)/$(LTCOMMAND)
install-dev:

$(COMMINCL) $(COMMON):
	@$(RM) $@; $(LN_S) ../common/$@ $@

$(INVINCL) $(INVCOMMON):
	@$(RM) $@; $(LN_S) ../inventory/$@ $@

=== debian/changelog ===
xfsdump (1.1.3-0) unstable; urgency=low

  * More changes to libtool build procedure (closes: #106702)

 -- Nathan Scott <nathans@debian.org>  Fri, 27 Jul 2001 07:59:49 +1000

xfsdump (1.1.2-1) unstable; urgency=low

  * Minor changes to build procedure 
  * Add missing libtool build dependency (closes: #106506)

 -- Nathan Scott <nathans@debian.org>  Wed, 25 Jul 2001 12:57:42 +1000

xfsdump (1.1.2-0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 24 Jul 2001 12:15:30 +1000

xfsdump (1.1.1-0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 23 Jul 2001 10:27:37 +1000

xfsdump (1.1.0-0) unstable; urgency=low

  * Reworked package slightly so that its not Debian native
  * Debian-specific changes now documented in changelog.Debian.gz
  * New upstream release (see /usr/share/doc/xfsdump/changelog.gz)
  * Checked standards compliance - update standards version to 3.5.5
  * Introduce a shlibs.local file to track package inter-dependencies

 -- Nathan Scott <nathans@debian.org>  Wed, 18 Jul 2001 15:57:04 +1000

xfsdump (1.0.9) unstable; urgency=low

  * Correctly [xfs]restore the suid and guid mode bits

 -- Nathan Scott <nathans@debian.org>  Tue, 15 May 2001 14:40:03 +1000

xfsdump (1.0.8) unstable; urgency=low

  * Add a build dependency on xfslibs-dev 1.2.5 (closes: #97097)

 -- Nathan Scott <nathans@debian.org>  Sat, 12 May 2001 08:52:27 +1000

xfsdump (1.0.7) unstable; urgency=low

  * Fix numerous warnings, remove last -Wall filter
  * Support realtime files in dump/restore
  * Cleanup arch-specific code, esp. the byteswab routines
  * Fix bug dumping to remote tape device with given user

 -- Nathan Scott <nathans@debian.org>  Wed,  9 May 2001 15:23:23 +1000

xfsdump (1.0.6) unstable; urgency=low

  * Remove spurious warnings when dumping quota information.

 -- Nathan Scott <nathans@debian.org>  Tue,  1 May 2001 15:32:24 +1000

xfsdump (1.0.5) unstable; urgency=low

  * Initial release (closes: #83832).

 -- Nathan Scott <nathans@debian.org>  Wed, 25 Apr 2001 12:19:15 +1000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: xfsdump
Section: admin
Priority: optional
Maintainer: Nathan Scott <nathans@debian.org>
Build-Depends: xfslibs-dev (>= 1.3.3), attr-dev (>= 1.1.2), dmapi-dev (>= 0.2.2), uuid-dev, autoconf, debmake, libtool
Standards-Version: 3.5.5

Package: xfsdump
Depends: ${shlibs:Depends}
Architecture: any
Description: Administrative utilities for the XFS filesystem
 The xfsdump package contains xfsdump, xfsrestore and a number of
 other administrative utilities for managing XFS filesystems.
 .
 xfsdump examines files in a filesystem, determines which need to be
 backed up, and copies those files to a specified disk, tape or other
 storage medium.  It uses XFS-specific directives for optimizing the
 dump of an XFS filesystem, and also knows how to backup XFS extended
 attributes.  Backups created with xfsdump are "endian safe" and can
 thus be transfered between Linux machines of different architectures
 and also between IRIX machines.
 .
 xfsrestore performs the inverse function of xfsdump; it can restore a
 full backup of a filesystem.  Subsequent incremental backups can then
 be layered on top of the full backup.  Single files and directory
 subtrees may be restored from full or partial backups.
